
QGIS Application - Bug report #4258

GRASS plugin allows illegal characters in filename

2011-09-04 07:48 AM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14202

Description

Per the screenshot of the dialog that I have attached, the GRASS plugin allows illegal characters in the filename. In my case, it appears to

be an illegal space character.

This GRASS mapset was created using the New mapset menu selection for the GRASS plugin.

Associated revisions

Revision d4dcde0c - 2012-05-24 07:18 PM - Radim Blazek

restricted location/mapset names in GRASS new mapset dialog, fixes #4258

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-05-24 10:17 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"d4dcde0c94390887bb5b5e80415cd40135d477a6".

#4 - 2012-05-24 10:20 AM - Radim Blazek

- Resolution set to fixed

I have restricted location and mapset names to [A-Za-z0-9_.]+ in commit:d4dcde0c94

More discussion about legal names http://trac.osgeo.org/grass/ticket/1293
